### Hierarchy

- AtomBinder

## Index

### Methods

- addItem
- add_CollectionChanged
- add_WatchHandler
- clear
- getPropertyDescriptor
- get_WatchHandler
- invokeItemsEvent
- refreshItems
- refreshValue
- removeItem
- remove_CollectionChanged
- remove_WatchHandler
- watch

## Methods

### Static addItem

- addItem(a: any[], item: any): any

- - Defined in core/AtomBinder.ts:207

  #### Parameters

  - ##### a: any[]

  - ##### item: any

  #### Returns any

### Static add_CollectionChanged

- add_CollectionChanged(target: any[], handler: WatchFunction): IDisposable

- - Defined in core/AtomBinder.ts:157

  #### Parameters

  - ##### target: any[]

  - ##### handler: WatchFunction

  #### Returns IDisposable

### Static add_WatchHandler

- add_WatchHandler(target: any, key: any, handler: WatchFunction): void

- - Defined in core/AtomBinder.ts:28

  #### Parameters

  - ##### target: any

  - ##### key: any

  - ##### handler: WatchFunction

  #### Returns void

### Static clear

- clear(a: any[]): any

- - Defined in core/AtomBinder.ts:201

  #### Parameters

  - ##### a: any[]

  #### Returns any

### Static getPropertyDescriptor

- getPropertyDescriptor(target: any, key: string): PropertyDescriptor

- - Defined in core/AtomBinder.ts:91

  #### Parameters

  - ##### target: any

  - ##### key: string

  #### Returns PropertyDescriptor

### Static get_WatchHandler

- get_WatchHandler(target: IWatchableObject, key: string): WatchFunction[]

- - Defined in core/AtomBinder.ts:102

  #### Parameters

  - ##### target: IWatchableObject

  - ##### key: string

  #### Returns WatchFunction[]

### Static invokeItemsEvent

- invokeItemsEvent(target: any[], mode: string, index: number, item: any): void

- - Defined in core/AtomBinder.ts:141

  #### Parameters

  - ##### target: any[]

  - ##### mode: string

  - ##### index: number

  - ##### item: any

  #### Returns void

### Static refreshItems

- refreshItems(ary: any): void

- - Defined in core/AtomBinder.ts:153

  #### Parameters

  - ##### ary: any

  #### Returns void

### Static refreshValue

- refreshValue(target: any, key: any): void

- - Defined in core/AtomBinder.ts:14

  #### Parameters

  - ##### target: any

  - ##### key: any

  #### Returns void

### Static removeItem

- removeItem(a: any[], item: any): boolean

- - Defined in core/AtomBinder.ts:214

  #### Parameters

  - ##### a: any[]

  - ##### item: any

  #### Returns boolean

### Static remove_CollectionChanged

- remove_CollectionChanged(t: any[], handler: WatchFunction): void

- - Defined in core/AtomBinder.ts:172

  #### Parameters

  - ##### t: any[]

  - ##### handler: WatchFunction

  #### Returns void

### Static remove_WatchHandler

- remove_WatchHandler(target: IWatchableObject, key: string, handler: WatchFunction): void

- - Defined in core/AtomBinder.ts:119

  #### Parameters

  - ##### target: IWatchableObject

  - ##### key: string

  - ##### handler: WatchFunction

  #### Returns void

### Static watch

- watch(item: any, property: string, f: WatchFunction): IDisposable

- - Defined in core/AtomBinder.ts:192

  #### Parameters

  - ##### item: any

  - ##### property: string

  - ##### f: WatchFunction

  #### Returns IDisposable

Generated using TypeDoc